Bug 190902 - rpm cannot cope with spaces in paths
rpm cannot cope with spaces in paths
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-06 05:15 EDT by Peter Klotz
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-30 09:35:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Peter Klotz 2006-05-06 05:15:28 EDT
Description of problem:
rpm does not install RPMs that contain spaces in their paths. Even if the space 
is correctly escaped with a backslash the installation fails. Quoting the 
argument with single quotes also does not help.

Version-Release number of selected component (if applicable):
4.4.2-15.2

How reproducible:
Always

Steps to Reproduce:
1. Place Fedora RPMs in a path with spaces
2. Execute: rpm -Uvh /mnt/Fedora\ Core/5/i386/Fedora/RPMS/xen-3.0.1-4.i386.rpm
3.
  
Actual results:
error: open of /mnt/Fedora failed: No such file or directory
error: open of Core/5/i386/Fedora/RPMS/xen-3.0.1-4.i386.rpm failed: No such 
file or directory


Expected results:
The RPM should have been installed successfully.

Additional info:
Comment 1 Robert Scheck 2006-05-29 16:27:59 EDT
NOTABUG, when I remember correctly to bug #161582 in the past...
Comment 2 Paul Nasrat 2006-06-30 09:35:30 EDT
Try double quoting (for shell then rpm)

rpm -Uvh /mnt/Fedora\\\ Core/5/...

[pauln@enki rpm]$ rpm -ivh my\\\ srpms/dummy*
   1:dummy                  ########################################### [100%]
[pauln@enki rpm]$ rpm -ivh my\ srpms/dummy*
error: open of my failed: No such file or directory
error: open of srpms/dummy-1.0-1.src.rpm failed: No such file or directory

Comment 3 Peter Klotz 2006-07-13 13:11:38 EDT
Thanks for posting the workaround.

Note You need to log in before you can comment on or make changes to this bug.